summaryrefslogtreecommitdiffstats
path: root/network/slack
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2016-08-03 01:09:07 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commitb95653f0994aae57d296b8c65f9ba3baa389101c (patch)
tree326e2355607ed98a5b205ec8154e880e52d01800 /network/slack
parentc30295a9fc9ababce635e8272c0b7ba90ca708a0 (diff)
downloadslackbuilds-b95653f0994aae57d296b8c65f9ba3baa389101c.tar.gz
slackbuilds-b95653f0994aae57d296b8c65f9ba3baa389101c.tar.xz
network/slack: Added (messaging app for teams).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/slack')
-rw-r--r--network/slack/README2
-rw-r--r--network/slack/doinst.sh3
-rw-r--r--network/slack/slack-desc19
-rw-r--r--network/slack/slack.SlackBuild99
-rw-r--r--network/slack/slack.info10
5 files changed, 133 insertions, 0 deletions
diff --git a/network/slack/README b/network/slack/README
new file mode 100644
index 0000000000..c612cb0d20
--- /dev/null
+++ b/network/slack/README
@@ -0,0 +1,2 @@
+Slack brings all your communication together in one place.
+It's real-time messaging, archiving and search for modern teams.
diff --git a/network/slack/doinst.sh b/network/slack/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/slack/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/slack/slack-desc b/network/slack/slack-desc
new file mode 100644
index 0000000000..9ef2c28f5e
--- /dev/null
+++ b/network/slack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+slack: slack (A messaging app for teams.)
+slack:
+slack: Slack brings all your communication together in one place. It's
+slack: real-time messaging, archiving and search for modern teams.
+slack:
+slack:
+slack:
+slack:
+slack:
+slack: https://slack.com
+slack:
diff --git a/network/slack/slack.SlackBuild b/network/slack/slack.SlackBuild
new file mode 100644
index 0000000000..db69f4c058
--- /dev/null
+++ b/network/slack/slack.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for slack
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <https://www.gnu.org/licenses/>.
+
+
+PRGNAM=slack
+VERSION=${VERSION:-2.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+DEBARCH=${DEBARCH:-$(uname -m)}
+
+case "$DEBARCH" in
+ i?86) DEBARCH="i386" ;;
+ x86_64) DEBARCH="amd64" ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+ar p $CWD/${PRGNAM}-desktop-${VERSION}-${DEBARCH}.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv * $PKG/
+
+## we do not need a debian cron job :^)
+rm -rf $PKG/etc/
+## nor lintian stuff and another copy of LICENSE
+rm -rf $PKG/usr/share/{doc,lintian}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a $PKG/usr/lib/slack/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/slack/slack.info b/network/slack/slack.info
new file mode 100644
index 0000000000..4f03d3f3ee
--- /dev/null
+++ b/network/slack/slack.info
@@ -0,0 +1,10 @@
+PRGNAM="slack"
+VERSION="2.1.0"
+HOMEPAGE="https://slack.com"
+DOWNLOAD="https://downloads.slack-edge.com/linux_releases/slack-desktop-2.1.0-i386.deb"
+MD5SUM="c5c73d2676e33fa796ed1d3026426626"
+DOWNLOAD_x86_64="https://downloads.slack-edge.com/linux_releases/slack-desktop-2.1.0-amd64.deb"
+MD5SUM_x86_64="0ef8034621e7e467f138e07464d61203"
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"